sqlitexx: sqlite3xx::result Class Reference

sqlitexx 0.0.1

Data Structures | Public Types | Public Member Functions
sqlite3xx::result Class Reference

`#include <result.hpp>`

## Data Structures
class | const_iterator
class | field
class | tuple

## Public Types
typedef unsigned long | size_type
typedef signed long | difference_type
typedef sqlite3xxstd::iterator< std::random_access_iterator_tag, const tuple, result::difference_type, const_iterator, tuple > | const_iterator_base

## Public Member Functions
| result (sqlite3_stmt *stmt)
| result (const result &r)
| ~result ()
result & | operator= (const result &r)
size_type | affected_rows () const
size_type | size () const
size_type | columns () const
const tuple | operator[] (size_type i) throw ( )
size_type | column_number (string name) const
int | column_type (size_type i) const
int | column_type (string name) const
int | GetValueInt (size_type i) const
const unsigned char * | GetValueText (size_type i) const
double | GetValueDouble (size_type i) const
const_iterator | begin () const throw ( )
const_iterator | end () const throw ( )

## Member Typedef Documentation

## ◆ const_iterator_base

typedef sqlite3xxstd::iterator< std::random_access_iterator_tag, const tuple, result::difference_type, const_iterator, tuple> sqlite3xx::result::const_iterator_base

## ◆ difference_type

typedef signed long sqlite3xx::result::difference_type

## ◆ size_type

typedef unsigned long sqlite3xx::result::size_type

## Constructor & Destructor Documentation

## ◆ result() [1/2]

sqlite3xx::result::result | ( | sqlite3_stmt * | stmt | ) |

## ◆ result() [2/2]

sqlite3xx::result::result | ( | const result & | r | ) |

## ◆ ~result()

sqlite3xx::result::~result | ( |  | ) |

## Member Function Documentation

## ◆ affected_rows()

size_type sqlite3xx::result::affected_rows | ( |  | ) | const

## ◆ begin()

const_iterator sqlite3xx::result::begin | ( |  | ) | const
throw | ( |
| ) |  |
| inline

## ◆ column_number()

size_type sqlite3xx::result::column_number | ( | string | name | ) | const

## ◆ column_type() [1/2]

int sqlite3xx::result::column_type | ( | size_type | i | ) | const

## ◆ column_type() [2/2]

int sqlite3xx::result::column_type | ( | string | name | ) | const
| inline

## ◆ columns()

size_type sqlite3xx::result::columns | ( |  | ) | const

## ◆ end()

const_iterator sqlite3xx::result::end | ( |  | ) | const
throw | ( |
| ) |  |
| inline

## ◆ GetValueDouble()

double sqlite3xx::result::GetValueDouble | ( | size_type | i | ) | const
| inline

## ◆ GetValueInt()

int sqlite3xx::result::GetValueInt | ( | size_type | i | ) | const
| inline

## ◆ GetValueText()

const unsigned char * sqlite3xx::result::GetValueText | ( | size_type | i | ) | const
| inline

## ◆ operator=()

result & sqlite3xx::result::operator= | ( | const result & | r | ) |

## ◆ operator[]()

const tuple sqlite3xx::result::operator[] | ( | size_type | i | ) |
throw | ( |
| ) |  |

## ◆ size()

size_type sqlite3xx::result::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- result.hpp